INTERFACE
SUBROUTINE GEO923(KPINT,KLEN,PBO,PLONG,PMU,PSLAC,PSLOC,PCLOC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGLG ,NDLON
INTEGER(KIND=JPIM),INTENT(IN) :: KPINT
INTEGER(KIND=JPIM),INTENT(OUT) :: KLEN
REAL(KIND=JPRB) ,INTENT(OUT) :: PBO(NDGLG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLONG(NDGLG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMU(NDGLG*NDLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSLAC(NDGLG*KPINT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSLOC(NDLON*KPINT,NDGLG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOC(NDLON*KPINT,NDGLG)
END SUBROUTINE GEO923
END INTERFACE
